# GearmanJob::sendData

(PECL gearman >= 0.6.0)

GearmanJob::sendData — Send data for a running job

### Description

public GearmanJob::sendData ( string `$data` ) : bool

Sends data to the job server (and any listening clients) for this job.

### Parameters

`data`

  Arbitrary serialized data.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::workload() - Get workload
- GearmanTask::data() - Get data returned for a task